libgphoto2 (2.5.33-1ubuntu1) resolute; urgency=medium

  * Bluetooth device [0489:e111] is falsely considered as a MTP device,
    remove this matching rule, to make Bluetooth work. (LP: #2137691)

 -- Atlas Yu <atlas.yu@canonical.com>  Fri, 23 Jan 2026 04:58:45 +0000

libgphoto2 (2.5.33-1) unstable; urgency=medium

  * [0093325] Simplify Salsa CI configuration
  * [ea21a8e] New upstream version 2.5.33
  * [198ecbc] Acknowledge new symbol

 -- Ferenc Wágner <wferi@debian.org>  Sat, 01 Nov 2025 11:45:53 +0100

libgphoto2 (2.5.32-1) unstable; urgency=medium

  * [32c7c1e] New upstream version 2.5.32
  * [401cf21] Drop already included upstream patch
  * [c2f8e5f] Upgrade Standards-Version to 4.7.2 (no changes required)
  * [f4935fd] Update symbols files

 -- Ferenc Wágner <wferi@debian.org>  Sat, 27 Sep 2025 14:42:16 +0200

libgphoto2 (2.5.31-4) unstable; urgency=medium

  * [c2cd215] New patch: align outlen length with jpeg jeaders. fixes
    https://github.com/gphoto/libgphoto2/issues/941.
    Thanks to Marcus Meissner (Closes: #1086238)
  * [e0f068c] Refresh lintian override contexts
  * [b35312f] Lintian already understands the t64 transition suffix
  * [14842a4] Fix issues reported by appstreamcli validate-tree
    (Closes: #1079013)
  * [a0e05f7] Update Standards-Version to 4.7.0 (no changes required)

 -- Ferenc Wágner <wferi@debian.org>  Thu, 31 Oct 2024 20:37:17 +0100

libgphoto2 (2.5.31-3) unstable; urgency=medium

  [ Andreas Metzler ]
  * Team upload.
  * Also drop lintian-overrides for DEP17 diversions.
  * [lintian] (Build-)depend on pkgconf instead of pkg-config.

  [ Helmut Grohne ]
  * Drop unnecessary DEP17 diversions: Affected files renamed for time64.
    Closes: #1065747

  [Simon McVittie]
  * Only require graphviz for Architecture: all builds
  * Only run rdfind and symlinks if we built documentation.
  * Don't build -dev-doc package under nodoc build-profile.
    Closes: #1067455

 -- Andreas Metzler <ametzler@debian.org>  Wed, 12 Jun 2024 18:16:27 +0200

libgphoto2 (2.5.31-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062319

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 12:26:32 +0000

libgphoto2 (2.5.31-2) unstable; urgency=medium

  [ Andreas Metzler ]
  * Team upload.

  [ Chris Hofstaedtler ]
  * [9feb63a] Move udev files from /lib to /usr/lib.
    Including protective diversion against Multi-Arch: same file loss scenario
    (DEP17 P7 M10). Closes: #1056931

 -- Andreas Metzler <ametzler@debian.org>  Wed, 06 Dec 2023 18:46:28 +0100

libgphoto2 (2.5.31-1) unstable; urgency=medium

  * [33c8d67] The kFreeBSD port has been removed
  * [a954f17] New upstream version 2.5.31
  * [a97f283] Update symbols files

 -- Ferenc Wágner <wferi@debian.org>  Fri, 29 Sep 2023 20:49:23 +0200

libgphoto2 (2.5.30-1) unstable; urgency=medium

  * [fdd1a02] Work around lazy loading of GitHub release pages in watch file
  * [544ee6b] New upstream version 2.5.30
  * [9c5f3bf] Update symbols files
  * [57da549] Wildcard version of libgphoto2_port in not-installed
  * [c03c895] Adapt Lintian override to new message format
  * [afa82ac] Override another false typo alert
  * [186cd9e] Update Standards-Version to 4.6.2 (no changes required)
  * [7e60f22] Update copyright of the packaging

 -- Ferenc Wágner <wferi@debian.org>  Thu, 12 Jan 2023 23:22:41 +0100

libgphoto2 (2.5.29-1) unstable; urgency=medium

  [ Ferenc Wágner ]
  * [1a064f7] New upstream version 2.5.29
  * [b5d47e7] Refresh our patch
  * [333aa95] Acknowledge new symbol.
    Actually, gp_filesystem_set_info_dirty was introduced in 2.5.28, but
    that version hasn't been packaged.
  * [bc45f4d] The upper gphoto-m4 directory copy was dropped from 2.5.28
  * [f0844db] Linux hotplug support was dropped from 2.5.28
  * [12e9629] RPM packaging was dropped from 2.5.28
  * [6e5dcbf] Update Standards-Version to 4.6.1 (no changes required)
  * [dbd6f3e] We don't ship .a files, don't bother stripping them
  * [897e23a] Don't even build the static libraries.
    We don't ship them since 2.5.25-1.
  * [454f8a1] Switch to Debhelper compatibility level 13
  * [6b5e9d7] hardening=+all already includes PIE builds
  * [20585dd] Don't disable libusb on Hurd.
    It's unclear why it was disabled.
  * [b43912e] Drop the superfluous GPM build dependency
  * [8bf14dc] Version of the localization data should be identical to that of
    the library

  [ Debian Janitor ]
  * [e09f83f] Remove constraints unnecessary since buster
    * Build-Depends: Drop versioned constraint on libexif-dev.
    * libgphoto2-port12: Drop versioned constraint on gphoto2 in Suggests.
    * libgphoto2-6: Drop versioned constraint on gphoto2 in Suggests.
    Changes-By: deb-scrub-obsolete

 -- Ferenc Wágner <wferi@debian.org>  Mon, 23 May 2022 11:54:02 +0200

libgphoto2 (2.5.27-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [acb5f95] Set upstream metadata fields: Security-Contact.
    Changes-By: lintian-brush

  [ Ferenc Wágner ]
  * [cceafe1] New upstream version 2.5.27
  * [7ae4691] Delete now-unnecessary patch
  * [5175396] Upgrade Standards-Version to 4.5.1 (no changes required)
  * [67ec5f5] Remove inactive uploaders.
    Many thanks for the work of Herbert Parentes Fortes Neto and
    Frederic Peters.
  * [46d8207] The AppStream component ID is required to follow a reverse domain-
    name scheme

  [ Helmut Grohne ]
  * [e1eda69] Drop unneeded Build-Depends
    + Demote doxygen to Build-Depends-Indep
    + libdbus-1-dev was needed for HAL support only (dropped in 2.5)
    (Closes: #981082)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 28 Feb 2021 17:40:24 +0100

libgphoto2 (2.5.26-2) unstable; urgency=medium

  [ Debian Janitor ]
  * [c994de9] debian/copyright: use spaces rather than tabs to start
    continuation lines.
    Changes-By: lintian-brush
    Fixes: lintian: tab-in-license-text
  * [16af96f] Set upstream metadata fields: Bug-Database, Bug-Submit, Name (from
    ./configure), Repository, Repository-Browse.
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-file-is-missing
    Fixes: lintian: upstream-metadata-missing-bug-tracking
    Fixes: lintian: upstream-metadata-missing-repository
  * [9ce620d] Drop unnecessary dependency on dh-autoreconf.
    Changes-By: lintian-brush

  [ Ferenc Wágner ]
  * [b8023c4] Get rid of the two remaining TABs in debian/copyright
  * [10563d5] Switch to DEP14 hierarchical branch names
  * [2774bc3] New patch: Not only Linux has statfs()

 -- Ferenc Wágner <wferi@debian.org>  Sat, 24 Oct 2020 13:50:39 +0200

libgphoto2 (2.5.26-1) unstable; urgency=medium

  [ Ferenc Wágner ]
  * [f64c2f8] GitHub releases provide both tarballs and signatures now
  * [481065e] New upstream version 2.5.26
  * [13a3f75] Drop upstreamed patches, refresh the remaining one
  * [8440791] Merge Pentax camlib copyright statements into a single paragraph.
    Fixes three duplicate-globbing-patterns errors from Lintian.
  * [5dcc4e3] Revert "d/libgphoto2.metainfo.xml - Fix license: LGPL-2+"
    This reverts commit ce08ab8dff92ecfb28cb1ec61bef1303b662ffc7.
    AppStream accepts permissively licensed metadata only, so revert back to
    the original version and declare its MIT license instead.

  [ William Wilhelm ]
  * [fad4555] Add libcurl4-openssl-dev to Build-Depends for lumix camlib

 -- Ferenc Wágner <wferi@debian.org>  Tue, 13 Oct 2020 23:44:00 +0200

libgphoto2 (2.5.25-3) unstable; urgency=medium

  * [cf02237] New patch: configure: fix symver support checks (Closes: #964685)
  * [07be8e7] Avoid Lintian warning about the spelling of the override comment

 -- Ferenc Wágner <wferi@debian.org>  Sat, 18 Jul 2020 13:32:39 +0200

libgphoto2 (2.5.25-2) unstable; urgency=medium

  * [477dc92] Wildcard the architecture of the not-installed files

 -- Ferenc Wágner <wferi@debian.org>  Fri, 19 Jun 2020 20:26:22 +0200

libgphoto2 (2.5.25-1) unstable; urgency=medium

  * [cc6ca03] Revert "Add dependency to libjs-jquery to avoid embedding it in
    libgphoto2-dev-doc"
    This reverts commit c40304065be6daa4dc24f0547ad3a20d03584f4d.
    This file is created by Doxygen and it contains more than just jQuery,
    so linking it to the file with the same name in libjs-jquery breaks the
    documentation.  See /usr/share/doc/doxygen/README.jquery and #736360.
  * [d1449bf] New upstream version 2.5.25 (Closes: #962364)
  * [f0b9b75] Refresh our patches
  * [82ff8bf] New patch: Convert README files to UTF-8
  * [1734e9d] Pkg-config is good enough, drop the obsolete config scripts
  * [4a98189] Update packaging list email address
  * [be75e9f] Remove some old comments
  * [3ae5569] Announce the config script drop in a specific NEWS.Debian.
    And drop the superfluous override.
  * [89b1f69] Make dh_missing strict
  * [a5fb233] Stop force cleaning the po files.
    No idea what its purpose was, but it breaks source package generation.
  * [8908ca3] Don't ship the static libraries
  * [c01068c] Current upstream does not install empty files
  * [35fd2ae] Drop localization files of the missing (outdated) konica camlib

 -- Ferenc Wágner <wferi@debian.org>  Fri, 19 Jun 2020 19:03:15 +0200

libgphoto2 (2.5.24-1) unstable; urgency=medium

  * [293d8a0] Configure gbp import-orig, pq and dch
  * [a657bc4] Drop unused patch changing dead code
  * [e6c4717] Delete upstream patches already disabled by ccdd809
  * [2bd0364] Remove remnants of long-disabled patches
    * libjpeg_turbo_1.5.0_fix.patch was applied upstream and dropped in the
      2.5.11-1 upload (7465be5 in 2016)
    * 11_hurd_no_path_max_bsdsource was disabled in 2d8a084 in 2009 (no
      longer applies)
  * [8bc473d] Run remaining patches through gbp pq
  * [3885eca] New upstream version 2.5.24
  * [bddf939] Update Standards-Version to 4.5.0 (no changes required)
  * [8786d3f] Add myself to Uploaders
  * [33742a1] Enroll to basic Salsa CI
  * [1a775ed] Enable rootless build
  * [c2b7128] Upstream removed the recursive symlink in 628fe8d
  * [d819b69] The Debian NEWS file must be called debian/NEWS.
    It won't clash with the upstream NEWS files, because
    dh_installchangelogs will rename those to changelog.
  * [d162453] Supply the Build-Depends-Package field in
    libgphoto2-port12.symbols
  * [168e102] Don't ship the build artifacts of the examples.
    Not only are they unnecessary cruft, but also they break
    reproducibility by embedding the build path.
  * [b8c1560] Avoid compressing the example code

 -- Ferenc Wágner <wferi@debian.org>  Sun, 15 Mar 2020 16:51:13 +0100

libgphoto2 (2.5.23-2) unstable; urgency=medium

  * Use debhelper-compat rather than d/compat file
  * debian/control:
      - Bump Standards-Version from 4.3.0 to 4.4.0

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Thu, 25 Jul 2019 13:19:18 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libgphoto2-port12t64`.
